package com.tofly.feesapi.common.constant;

import com.baomidou.mybatisplus.annotation.IEnum;
import lombok.Getter;

/**
 * 用户状态
 */
@Getter
public enum YhztEnum implements IEnum<Integer> {
    申请用户(0, "申请用户"),
    正式用户(1, "正式用户"),
    报停用户(2, "报停用户"),
    销户用户(3, "销户用户"),
    作废用户(4, "作废用户");

    YhztEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    private Integer value;
    private String desc;

    @Override
    public Integer getValue() {
        return this.value;
    }
}